'use strict';

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () {
                        return e[k];
                    }
                });
            }
        });
    }
    n['default'] = e;
    return Object.freeze(n);
}

function highlight({ init, } = {}) {
    let hljs;
    return {
        viewerEffect({ markdownBody }) {
            (async () => {
                const els = markdownBody.querySelectorAll('pre>code');
                if (els.length === 0)
                    return;
                if (!hljs) {
                    hljs = await Promise.resolve().then(function () { return /*#__PURE__*/_interopNamespace(require('highlight.js')); });
                    if (init)
                        await init(hljs);
                }
                els.forEach((el) => {
                    hljs.highlightBlock(el);
                });
            })();
        },
    };
}

module.exports = highlight;
//# sourceMappingURL=index.cjs.js.map
